# Uses of Class
org.apache.lucene.codecs.uniformsplit.UniformSplitTerms

Packages that use UniformSplitTerms
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

## Uses of UniformSplitTerms in org.apache.lucene.codecs.uniformsplit

Fields in org.apache.lucene.codecs.uniformsplit with type parameters of type UniformSplitTerms
Modifier and Type
Field
Description
`protected final Map<String,UniformSplitTerms>`
UniformSplitTermsReader.`fieldToTermsMap`

## Uses of UniformSplitTerms in org.apache.lucene.codecs.uniformsplit.sharedterms

Subclasses of UniformSplitTerms in org.apache.lucene.codecs.uniformsplit.sharedterms
Modifier and Type
Class
Description
`class`
`STUniformSplitTerms`
Extends `UniformSplitTerms` for a shared-terms dictionary, with all the fields of a term in the same block line.